const { chromium } = require('playwright');

(async () => {
  const headless = process.env.HEADLESS !== 'false';
  const browser = await chromium.launch({ headless: headless });
  const page = await browser.newPage();
  
  console.log('Navigating to example.com...');
  await page.goto('https://example.com');
  
  // Take a screenshot
  await page.screenshot({ path: 'example.png' });
  console.log('Screenshot saved to example.png');
  
  // Extract page title
  const title = await page.title();
  console.log(`Page title: ${title}`);
  
  // Demonstrate waiting
  console.log('Waiting 2 seconds to demonstrate...');
  await new Promise(resolve => setTimeout(resolve, 2000));
  
  await browser.close();
})();
